goocanvasmm Enums and Flags

## Enumerations

enum | Goocanvas::AnimateType { Goocanvas::ANIMATE_FREEZE, Goocanvas::ANIMATE_RESET, Goocanvas::ANIMATE_RESTART, Goocanvas::ANIMATE_BOUNCE }

enum

Goocanvas::PointerEvents {
Goocanvas::EVENTS_VISIBLE_MASK = 1 << 0,
Goocanvas::EVENTS_PAINTED_MASK = 1 << 1,
Goocanvas::EVENTS_FILL_MASK = 1 << 2,
Goocanvas::EVENTS_STROKE_MASK = 1 << 3,
Goocanvas::EVENTS_NONE = 0x0,
Goocanvas::EVENTS_VISIBLE_PAINTED = 0xF,
Goocanvas::EVENTS_VISIBLE_FILL = 0x5,
Goocanvas::EVENTS_VISIBLE_STROKE = 0x9,
Goocanvas::EVENTS_VISIBLE = 0xD,
Goocanvas::EVENTS_PAINTED = 0xE,
Goocanvas::EVENTS_FILL = 0x4,
Goocanvas::EVENTS_STROKE = 0x8,
Goocanvas::EVENTS_ALL = 0xC
}

enum | Goocanvas::ItemVisibility { Goocanvas::ITEM_HIDDEN, Goocanvas::ITEM_INVISIBLE, Goocanvas::ITEM_VISIBLE, Goocanvas::ITEM_VISIBLE_ABOVE_THRESHOLD }
enum | Goocanvas::PathCommandType { Goocanvas::PATH_MOVE_TO, Goocanvas::PATH_CLOSE_PATH, Goocanvas::PATH_LINE_TO, Goocanvas::PATH_HORIZONTAL_LINE_TO, Goocanvas::PATH_VERTICAL_LINE_TO, Goocanvas::PATH_CURVE_TO, Goocanvas::PATH_SMOOTH_CURVE_TO, Goocanvas::PATH_QUADRATIC_CURVE_TO, Goocanvas::PATH_SMOOTH_QUADRATIC_CURVE_TO, Goocanvas::PATH_ELLIPTICAL_ARC }

enum

Goocanvas::AnchorType {
Goocanvas::ANCHOR_CENTER,
Goocanvas::ANCHOR_NORTH,
Goocanvas::ANCHOR_NORTH_WEST,
Goocanvas::ANCHOR_NORTH_EAST,
Goocanvas::ANCHOR_SOUTH,
Goocanvas::ANCHOR_SOUTH_WEST,
Goocanvas::ANCHOR_SOUTH_EAST,
Goocanvas::ANCHOR_WEST,
Goocanvas::ANCHOR_EAST,
Goocanvas::ANCHOR_N = ANCHOR_NORTH,
Goocanvas::ANCHOR_NW = ANCHOR_NORTH_WEST,
Goocanvas::ANCHOR_NE = ANCHOR_NORTH_EAST,
Goocanvas::ANCHOR_S = ANCHOR_SOUTH,
Goocanvas::ANCHOR_SW = ANCHOR_SOUTH_WEST,
Goocanvas::ANCHOR_SE = ANCHOR_SOUTH_EAST,
Goocanvas::ANCHOR_W = ANCHOR_WEST,
Goocanvas::ANCHOR_E = ANCHOR_EAST
}

## Functions

PointerEvents | Goocanvas::operator| (PointerEvents lhs, PointerEvents rhs)
PointerEvents | Goocanvas::operator& (PointerEvents lhs, PointerEvents rhs)
PointerEvents | Goocanvas::operator^ (PointerEvents lhs, PointerEvents rhs)
PointerEvents | Goocanvas::operator~ (PointerEvents flags)
PointerEvents& | Goocanvas::operator|= (PointerEvents& lhs, PointerEvents rhs)
PointerEvents& | Goocanvas::operator&= (PointerEvents& lhs, PointerEvents rhs)
PointerEvents& | Goocanvas::operator^= (PointerEvents& lhs, PointerEvents rhs)

## Detailed Description

## Enumeration Type Documentation

enum Goocanvas::AnchorType

Enumerator
ANCHOR_CENTER |
ANCHOR_NORTH |
ANCHOR_NORTH_WEST |
ANCHOR_NORTH_EAST |
ANCHOR_SOUTH |
ANCHOR_SOUTH_WEST |
ANCHOR_SOUTH_EAST |
ANCHOR_WEST |
ANCHOR_EAST |
ANCHOR_N |
ANCHOR_NW |
ANCHOR_NE |
ANCHOR_S |
ANCHOR_SW |
ANCHOR_SE |
ANCHOR_W |
ANCHOR_E |

enum Goocanvas::AnimateType

Enumerator
ANIMATE_FREEZE |
ANIMATE_RESET |
ANIMATE_RESTART |
ANIMATE_BOUNCE |

enum Goocanvas::ItemVisibility

Enumerator
ITEM_HIDDEN |
ITEM_INVISIBLE |
ITEM_VISIBLE |
ITEM_VISIBLE_ABOVE_THRESHOLD |

enum Goocanvas::PathCommandType

Enumerator
PATH_MOVE_TO |
PATH_CLOSE_PATH |
PATH_LINE_TO |
PATH_HORIZONTAL_LINE_TO |
PATH_VERTICAL_LINE_TO |
PATH_CURVE_TO |
PATH_SMOOTH_CURVE_TO |
PATH_QUADRATIC_CURVE_TO |
PATH_SMOOTH_QUADRATIC_CURVE_TO |
PATH_ELLIPTICAL_ARC |

enum Goocanvas::PointerEvents

Bitwise operators:
  `PointerEvents operator|(PointerEvents, PointerEvents)`
  `PointerEvents operator&(PointerEvents, PointerEvents)`
  `PointerEvents operator^(PointerEvents, PointerEvents)`
  `PointerEvents operator~(PointerEvents)`
  `PointerEvents& operator|=(PointerEvents&, PointerEvents)`
  `PointerEvents& operator&=(PointerEvents&, PointerEvents)`
  `PointerEvents& operator^=(PointerEvents&, PointerEvents)`

Enumerator
EVENTS_VISIBLE_MASK |
EVENTS_PAINTED_MASK |
EVENTS_FILL_MASK |
EVENTS_STROKE_MASK |
EVENTS_NONE |
EVENTS_VISIBLE_PAINTED |
EVENTS_VISIBLE_FILL |
EVENTS_VISIBLE_STROKE |
EVENTS_VISIBLE |
EVENTS_PAINTED |
EVENTS_FILL |
EVENTS_STROKE |
EVENTS_ALL |

## Function Documentation

PointerEvents Goocanvas::operator& | ( | PointerEvents | lhs,
|  | PointerEvents | rhs
| ) |  |

inline

PointerEvents& Goocanvas::operator&= | ( | PointerEvents& | lhs,
|  | PointerEvents | rhs
| ) |  |

inline

PointerEvents Goocanvas::operator^ | ( | PointerEvents | lhs,
|  | PointerEvents | rhs
| ) |  |

inline

PointerEvents& Goocanvas::operator^= | ( | PointerEvents& | lhs,
|  | PointerEvents | rhs
| ) |  |

inline

PointerEvents Goocanvas::operator| | ( | PointerEvents | lhs,
|  | PointerEvents | rhs
| ) |  |

inline

PointerEvents& Goocanvas::operator|= | ( | PointerEvents& | lhs,
|  | PointerEvents | rhs
| ) |  |

inline

PointerEvents Goocanvas::operator~ | ( | PointerEvents | flags | ) |

inline